View Issue Details

IDProjectCategoryView StatusLast Update
0005290Talermechant backendpublic2021-09-02 18:22
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.5Fixed in Version0.5 
Summary0005290: merchant backend accepts order without summary or fulfillment URL
DescriptionThere should be some more basic validation, currently the backend can produce invalid contracts (in the wallet's view) when the frontend gives it bad information.
TagsNo tags attached.

Activities

Florian Dold

2018-03-11 17:56

manager   ~0012880

Fixed in 09a73e13a6c

Related Changesets

merchant: master 09a73e13

2018-03-11 17:55:22

Florian Dold

Details Diff
do more order validation (fixes 0005290) Affected Issues
0005290
mod - src/backend/taler-merchant-httpd_proposal.c Diff File
mod - src/lib/test_merchant_api.c Diff File
mod - src/lib/test_merchant_api_new.c Diff File

Issue History

Date Modified Username Field Change
2018-02-27 21:30 Florian Dold New Issue
2018-02-27 21:30 Florian Dold Status new => assigned
2018-02-27 21:30 Florian Dold Assigned To => Florian Dold
2018-03-11 17:56 Florian Dold Status assigned => resolved
2018-03-11 17:56 Florian Dold Resolution open => fixed
2018-03-11 17:56 Florian Dold Note Added: 0012880
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:35 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Florian Dold Changeset attached => Taler-merchant master 09a73e13